Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.datacache
Class GemFireCacheWrapper

    java.lang.Object
      kodo.datacache.GemFireCacheWrapper

    public class GemFireCacheWrapper

extends Object

Convenience class providing a hahmap-like services to a GemFire cache.

See Also:
  `GemFireDataCache`, `GemFireQueryCache`

Constructor Summary
`GemFireCacheWrapper(String regionName, Log log)`

Method Summary
`boolean` | `beginGemFireTransaction()`
`void` | `clear()`
`void` | `close()`
`boolean` | `commitGemFireTransaction()`
`Object` | `get(Object key)`
`com.gemstone.gemfire.cache.Cache` | `getCache()` The GemFire cache.
`com.gemstone.gemfire.cache.Region` | `getRegion()` The cache region.
`protected com.gemstone.gemfire.cache.Cache` | `initializeCache()`
`protected com.gemstone.gemfire.cache.Region` | `initializeRegion(com.gemstone.gemfire.cache.Cache cache, String regionName)`
`Set` | `keySet()`
`Object` | `put(Object key, Object value)`
`Object` | `remove(Object key)`
`void` | `rollbackGemFireTransaction()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GemFireCacheWrapper

    public GemFireCacheWrapper(String regionName,
                               Log log)

Method Detail

### getCache

    public com.gemstone.gemfire.cache.Cache getCache()

  The GemFire cache.

### getRegion

    public com.gemstone.gemfire.cache.Region getRegion()

  The cache region.

### close

    public void close()

### get

    public Object get(Object key)

### put

    public Object put(Object key,
                      Object value)

### remove

    public Object remove(Object key)

### clear

    public void clear()

### keySet

    public Set keySet()

### initializeCache

    protected com.gemstone.gemfire.cache.Cache initializeCache()

### initializeRegion

    protected com.gemstone.gemfire.cache.Region initializeRegion(com.gemstone.gemfire.cache.Cache cache,
                                                                 String regionName)

### beginGemFireTransaction

    public boolean beginGemFireTransaction()

### commitGemFireTransaction

    public boolean commitGemFireTransaction()

### rollbackGemFireTransaction

    public void rollbackGemFireTransaction()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.